menuFile = GUI:addMenu("&File");
  actOpenState = menuFile:addAction("&Open State...", "GUI:openStateDialog();"):setIcon("icons/fileopen.png"):setShortcut("Ctrl+O");
  actSaveState = menuFile:addAction("&Save State...", "GUI:saveStateDialog();"):setIcon("icons/filesave.png"):setShortcut("Ctrl+S");
  menuFile:addSeparator();
  menuFile:addAction("Save As &Image...", "GUI:saveImageDialog();");
  menuFile:addSeparator();
  menuFile:addAction("&Quit", "GUI:quit();");
menuEdit = GUI:addMenu("&Edit");
  actStoreState = menuEdit:addAction("Store State(&C)", "State:store();"):setIcon("icons/editcopy.png");
  actRestoreState = menuEdit:addAction("Restore State(&P)", "State:restore();"):setIcon("icons/editpaste.png");
  menuEdit:addSeparator();
  menuEdit:addAction("Store As Initial State", "State:storeAsInit();");
  menuEdit:addAction("Reset Initial State", "State:resetInit();");
menuTools = GUI:addMenu("&Tools");
  actUIBrowser = menuTools:addAction("&UI Browser", "GUI:toggleUIBrowser();", "GUI.UIBrowser;"):setIcon("icons/uibrowser.png");
  menuTools:addSeparator();
  actScriptEditor = menuTools:addAction("Script &Editor", "GUI:toggleScriptEditor();", "GUI.scriptEditor;"):setIcon("icons/toolsscript.png");
  actScriptOutput = menuTools:addAction("Script &Output", "GUI:toggleScriptOutput();", "GUI.scriptOutput;"):setIcon("icons/toolsoutput.png");
  menuTools:addSeparator();
  actRunScript = menuTools:addAction("&Run Script", "GUI:runScript();"):setIcon("icons/toolsplay.png");
  menuTools:addSeparator();
  actOptionSetting = menuTools:addAction("&Option Setting", "GUI:toggleOptionSetting();", "GUI.optionSetting;"):setIcon("icons/optionsetting.png");
menuCamera = GUI:addMenu("&Landing/Takeoff");
  menuCamera:addAction("&Landing/Takeoff", "Camera:toggleModeTo();");
  menuCamera:addSeparator();
  menuCamera:addAction("Landng on Ho&me", "Camera:jumpToHome();");
  menuCamera:addSeparator();
  menuLandMode = menuCamera:addMenu("Landing Mo&de");
    menuLandMode:addAction("&Horizontal", "Camera.landingMode = mtk.HORIZONTAL;", "Camera.landingMode==mtk.HORIZONTAL;");
    menuLandMode:addAction("&Surface View", "Camera.landingMode = mtk.SURFACEVIEW;", "Camera.landingMode==mtk.SURFACEVIEW;");
menuTarget = GUI:addMenu("&Target");
  actTargetBrowser = menuTarget:addAction("Target Browser", "GUI:toggleTargetBrowser();", "GUI.targetBrowser;"):setIcon("icons/targetbrowser.png");
  menuTarget:addSeparator();
  menuSsystem = menuTarget:addMenu("&Solar System");
    menuSsystem:addAction("&Sun", "Camera:setTargetTo('Sun');", "Camera.target=='Sun';");
    menuSsystem:addSeparator();
    menuSsystem:addAction("Me&rcuy", "Camera:setTargetTo('Planet.Mercury');", "Camera.target=='Planet.Mercury';");
    menuSsystem:addAction("&Venus", "Camera:setTargetTo('Planet.Venus');", "Camera.target=='Planet.Venus';");
    menuSsystem:addAction("&Earth", "Camera:setTargetTo('Planet.Earth');", "Camera.target=='Planet.Earth';");
    menuSsystem:addAction("M&ars", "Camera:setTargetTo('Planet.Mars');", "Camera.target=='Planet.Mars';");
    menuSsystem:addAction("&Jupiter", "Camera:setTargetTo('Planet.Jupiter');", "Camera.target=='Planet.Jupiter';");
    menuSsystem:addAction("Sa&turn", "Camera:setTargetTo('Planet.Saturn');", "Camera.target=='Planet.Saturn';");
    menuSsystem:addAction("&Uranus", "Camera:setTargetTo('Planet.Uranus');", "Camera.target=='Planet.Uranus';");
    menuSsystem:addAction("&Neptune", "Camera:setTargetTo('Planet.Neptune');", "Camera.target=='Planet.Neptune';");
    menuSsystem:addSeparator();
    menuSsystem:addAction("&Pluto", "Camera:setTargetTo('Planet.Pluto');", "Camera.target=='Planet.Pluto';");
    menuSsystem:addAction("Er&is", "Camera:setTargetTo('TNO.Eris');", "Camera.target=='TNO.Eris';");
    menuSsystem:addAction("Se&dna", "Camera:setTargetTo('TNO.Sedna');", "Camera.target=='TNO.Sedna';");
    menuSsystem:addSeparator();
    menuSsystem:addAction("Moon(&M)", "Camera:setTargetTo('Satellite.Moon');", "Camera.target=='Satellite.Moon';");
    menuSsystem:addAction("Io(&I)", "Camera:setTargetTo('Satellite.Io');", "Camera.target=='Satellite.Io';");
  menuStar = menuTarget:addMenu("S&tar");
    menuStar:addAction("&Alpha Centauri", "Camera:setTargetTo('Star.Alpha Centauri');", "Camera.target=='Star.Alpha Centauri';");
    menuStar:addAction("&Sirius", "Camera:setTargetTo('Star.Sirius');", "Camera.target=='Star.Sirius';");
    menuStar:addAction("&Pleiades", "Camera:setTargetTo('Star.Pleiades');", "Camera.target=='Star.Pleiades';");
    menuStar:addAction("&Castor", "Camera:setTargetTo('Star.Castor');", "Camera.target=='Star.Castor';");
  menuExtra = menuTarget:addMenu("Extra&galactic Object");
    menuExtra:addAction("&Galactic Center", "Camera:setTargetTo('Other.OurGalaxyCenter');", "Camera.target=='Other.OurGalaxyCenter';");
    menuExtra:addAction("&Complete View of Our Galaxy", "Camera:setTargetTo('Other.OurGalaxy');", "Camera.target=='Other.OurGalaxy';");
    menuExtra:addAction("&Andromeda Galaxy", "Camera:setTargetTo('Other.M31');", "Camera.target=='Other.M31';");
    menuExtra:addAction("&Virgo Cluster", "Camera:setTargetTo('Other.M87');", "Camera.target=='Other.M87';");
    menuExtra:addAction("Globular Cluster &M13", "Camera:setTargetTo('Other.M13');", "Camera.target=='Other.M13';");
    menuExtra:addAction("&Large Scale Structure of the Universe", "Camera:setTargetTo('Other.LSS');", "Camera.target=='Other.LSS';");
  menuScraft = menuTarget:addMenu("S&pacecraft");
    menuScraft:addAction("Pioneer 10 (&P)", "Camera:setTargetTo('Spacecraft.Pioneer 10');", "Camera.target=='Spacecraft.Pioneer10';");
    menuScraft:addAction("Pioneer 11 (&Q)", "Camera:setTargetTo('Spacecraft.Pioneer 11');", "Camera.target=='Spacecraft.Pioneer11';");
    menuScraft:addAction("Voyager I (&V)", "Camera:setTargetTo('Spacecraft.Voyager I');", "Camera.target=='Spacecraft.Voyager I';");
    menuScraft:addAction("Voyager II (&W)", "Camera:setTargetTo('Spacecraft.Voyager II');", "Camera.target=='Spacecraft.Voyager II';");
    menuScraft:addAction("Cassini (&C)", "Camera:setTargetTo('Spacecraft.Cassini');", "Camera.target=='Spacecraft.Cassini';");
  menuTarget:addSeparator();
  menuZoomMode = menuTarget:addMenu("&Zoom Mode");
    menuZoomMode:addAction("Don't Zoom", "Camera.zoomMode = mtk.ZOOM_NONE;", "Camera.zoomMode==mtk.ZOOM_NONE;");
    menuZoomMode:addAction("Large Target Only", "Camera.zoomMode = mtk.ZOOM_AUTO;", "Camera.zoomMode==mtk.ZOOM_AUTO;");
    menuZoomMode:addAction("Always Zoom", "Camera.zoomMode = mtk.ZOOM_ALWAYS;", "Camera.zoomMode==mtk.ZOOM_ALWAYS;");
  menuTarget:addSeparator();
  menuTarget:addAction("&Move to the Target", "Camera:jumpToTarget();");
menuScale = GUI:addMenu("&Scale");
  menuScale:addAction("10 million km (&0)", "Camera:setZoomTo(10000000.0 * mtk.UNIT_KM);");
  menuScale:addAction("1 AU (&1)", "Camera:setZoomTo(1.0 * mtk.UNIT_AU);");
  menuScale:addAction("10 AU (&2)", "Camera:setZoomTo(10.0 * mtk.UNIT_AU);");
  menuScale:addAction("100 AU (&3)", "Camera:setZoomTo(100.0 * mtk.UNIT_AU);");
  menuScale:addAction("1 thousand AU (&4)", "Camera:setZoomTo(1000.0 * mtk.UNIT_AU);");
  menuScale:addAction("10 thousand AU (&5)", "Camera:setZoomTo(10000.0 * mtk.UNIT_AU);");
  menuScale:addAction("1 l.y. (&6)", "Camera:setZoomTo(1.0 * mtk.UNIT_LY);");
  menuScale:addAction("10 l.y. (&7)", "Camera:setZoomTo(10.0 * mtk.UNIT_LY);");
  menuScale:addAction("100 l.y (&8)", "Camera:setZoomTo(100.0 * mtk.UNIT_LY);");
  menuScale:addAction("1 thousand l.y. (&9)", "Camera:setZoomTo(1000.0 * mtk.UNIT_LY);");
  menuScale:addAction("10 thousand l.y. (&a)", "Camera:setZoomTo(10000.0 * mtk.UNIT_LY);");
  menuScale:addAction("100 thousand l.y. (&b)", "Camera:setZoomTo(100000.0 * mtk.UNIT_LY);");
  menuScale:addAction("1 million l.y. (&c)", "Camera:setZoomTo(1000000.0 * mtk.UNIT_LY);");
  menuScale:addAction("10 million l.y. (&d)", "Camera:setZoomTo(10000000.0 * mtk.UNIT_LY);");
  menuScale:addAction("100 million l.y. (&e)", "Camera:setZoomTo(100000000.0 * mtk.UNIT_LY);");
  menuScale:addAction("1 billion l.y. (&f)", "Camera:setZoomTo(1000000000.0 * mtk.UNIT_LY);");
  menuScale:addAction("10 billion l.y. (&g)", "Camera:setZoomTo(10000000000.0 * mtk.UNIT_LY);");
menuView = GUI:addMenu("&View");
  menuPlanets = menuView:addMenu("&Planets");
    menuPlanets:addAction("&Display", "Planets:toggle();", "Planets.visible;");
    menuPlanets:addAction("&Name", "Planets:toggleLabels();", "Planets.labels;");
    menuPlanets:addAction("&Orbit", "Planets:toggleOrbits();", "Planets.orbits;");
    menuPlanets:addAction("&Axes", "Planets:toggleAxes();", "Planets.axes;");
    menuPlanets:addSeparator();
    menuPlanetsAtmos = menuPlanets:addMenu("&Atmosphere");
      menuPlanetsAtmos:addAction("&None", "Planets.atmosphere=mtk.ATMOS_NONE;", "Planets.atmosphere==mtk.ATMOS_NONE;");
      menuPlanetsAtmos:addAction("&Single Scattering", "Planets.atmosphere=mtk.ATMOS_SINGLE;", "Planets.atmosphere==mtk.ATMOS_SINGLE;");
      menuPlanetsAtmos:addAction("&Multiple Scattering", "Planets.atmosphere=mtk.ATMOS_MULTIPLE;", "Planets.atmosphere==mtk.ATMOS_MULTIPLE;");
    menuPlanets:addAction("&Cloud", "Planets:toggleClouds();", "Planets.clouds;");
    menuPlanets:addAction("City &Lights", "Planets:toggleCityLights();", "Planets.cityLights;");
    menuPlanetsShadows = menuPlanets:addMenu("Shadoe of &Eclipse");
      menuPlanetsShadows:addAction("&Display", "Planets:toggleShadows();", "Planets.shadows;");
      menuPlanetsShadows:addAction("&Border", "Planets:toggleShadowBorders();", "Planets.shadowBorders;");
    menuPlanets:addSeparator();
    menuPlanetsMag = menuPlanets:addMenu("&Magnification Rate");
      menuPlanetsMag:addAction("Real Scale (&0)", "Planets:setScaleTo(1,1,1,1,1);", "Planets:getScale()==1;"):setShortcut("1");
      menuPlanetsMag:addAction("Magnification 1 (&1)", "Planets:setScaleTo(500,1,20,1,1);", "Planets:getScale()==500;"):setShortcut("2");
      menuPlanetsMag:addAction("Magnification 2 (&2)", "Planets:setScaleTo(1000,25,100,5,1);", "Planets:getScale()==1000;"):setShortcut("3");
      menuPlanetsMag:addAction("Magnification 3 (&3)", "Planets:setScaleTo(1500,50,200,10,1);", "Planets:getScale()==1500;"):setShortcut("4");
    menuPlanetsTopo = menuPlanets:addMenu("Amplification of &Topography");
      menuPlanetsTopo:addAction("Real Scale (&0)", "Planets.topoAmplification=0;", "Planets.topoAmplification==0;");
      menuPlanetsTopo:addAction("x2 (&1)", "Planets.topoAmplification=1;", "Planets.topoAmplification==1;");
      menuPlanetsTopo:addAction("x5 (&2)", "Planets.topoAmplification=2;", "Planets.topoAmplification==2;");
      menuPlanetsTopo:addAction("x10 (&3)", "Planets.topoAmplification=3;", "Planets.topoAmplification==3;");
      menuPlanetsTopo:addAction("x20 (&4)", "Planets.topoAmplification=4;", "Planets.topoAmplification==4;");
  menuSatellites = menuView:addMenu("&Satellites");
    menuSatellites:addAction("&Display", "Satellites:toggle();", "Satellites.visible;");
    menuSatellites:addAction("&Name", "Satellites:toggleLabels();", "Satellites.labels;");
    menuSatellites:addAction("&Orbit", "Satellites:toggleOrbits();", "Satellites.orbits;");
    menuSatellites:addAction("&Selected Objects", "Satellites:toggleSelectedOnly();", "Satellites.selectedOnly;");
  menuAsteroids = menuView:addMenu("&Asteroids");
    menuAsteroids:addAction("&Display", "Asteroids:toggle();", "Asteroids.visible;");
    menuAsteroids:addAction("&Name", "Asteroids:toggleLabels();", "Asteroids.labels;");
    menuAsteroids:addAction("&Orbit", "Asteroids:toggleOrbits();", "Asteroids.orbits;");
    menuAsteroids:addAction("&Selected Object", "Asteroids:toggleSelectedOnly();", "Asteroids.selectedOnly;");
  menuTNObjects = menuView:addMenu("&Trans-Neptunian Objects");
    menuTNObjects:addAction("&Display", "TNObjects:toggle();", "TNObjects.visible;");
    menuTNObjects:addAction("&Name", "TNObjects:toggleLabels();", "TNObjects.labels;");
    menuTNObjects:addAction("&Orbit", "TNObjects:toggleOrbits();", "TNObjects.orbits;");
    menuTNObjects:addAction("&Selected Objects", "TNObjects:toggleSelectedOnly();", "TNObjects.selectedOnly;");
    menuTNObjects:addSeparator();
    menuTNObjects:addAction("Oo&rt Cloud", "TNObjects:toggleOort();", "TNObjects.oort;");
  menuView:addSeparator();
  menuStars = menuView:addMenu("&Stars");
    menuStars:addAction("Display &Stars", "Stars:toggle();", "Stars.visible;");
    menuStars:addAction("&Proper Names", "Stars:toggleLabels();", "Stars.labels;");
    menuStars:addAction("&Selected Proper Names", "Stars:toggleSelectedLabels();", "Stars.selectedLabels;");
    menuStars:addAction("&Bayer Names", "Stars:toggleBayerLabels();", "Stars.bayerLabels;");
    menuStars:addAction("&Flamsteed Numbers", "Stars:toggleFlamsteedLabels();", "Stars.flamsteedLabels;");
    menuStars:addAction("&HIP Numbers", "Stars:toggleHipLabels();", "Stars.hipLabels;");
    menuStarsMark = menuView:addMenu("&Mark");
      menuStarsMark:addAction("&None", "Stars.markingType='None';", "Stars.markingType=='None';");
      menuStarsMark:addAction("&Binary Stars", "Stars.markingType='Binary';", "Stars.markingType=='Binary';");
      menuStarsMark:addAction("Stars with &Exoplanets", "Stars.markingType='ExoPlanets';", "Stars.markingType=='ExoPlanets';");
    menuStars:addSeparator();
    menuStars:addAction("B&righten", "Stars:brighten();");
    menuStars:addAction("&Darken", "Stars:darken();");
    menuStars:addAction("Defaul&t Brightness", "Stars:defaultBrightness();");
  menuGalaxies = menuView:addMenu("&Galaxies");
    menuGalaxies:addAction("&Our Galaxy", "Galaxies:toggleOurGalaxy();", "Galaxies.ourGalaxy;");
    menuGalaxies:addAction("&Globular Clusters", "Galaxies:toggleGlobularClusters();", "Galaxies.globularClusters;");
    menuGalaxies:addAction("NGCs(&C)", "Galaxies:toggleNGCs();", "Galaxies.NGCs;");
    menuGalaxies:addAction("&Nearby Galaxies", "Galaxies:toggleNearbyGalaxies();", "Galaxies.nearbyGalaxies;");
    menuGalaxies:addAction("&SDSS Galaxies", "Galaxies:toggleDistantGalaxies();", "Galaxies.distantGalaxies;");
    menuGalaxies:addAction("&QSOs", "Galaxies:toggleQuasars();", "Galaxies.quasars;");
  menuView:addSeparator();
  menuConstels = menuView:addMenu("&Constellations");
    menuConstels:addAction("&Names", "Constels:toggleLabels();", "Constels.labels;");
    menuConstels:addAction("&Lines", "Constels:toggleLines();", "Constels.lines;");
    menuConstels:addAction("&Illustrations", "Constels:toggleIllusts();", "Constels.illusts;");
    menuConstels:addAction("&Boundaries", "Constels:toggleBounds();", "Constels.bounds;");
  menuMilkyway = menuView:addMenu("&Milky Way");
    menuMilkyway:addAction("&None", "Milkyway.type='None';", "Milkyway.type=='None';");
    menuMilkyway:addAction("&Milky Way", "Milkyway.type='Normal';", "Milkyway.type=='Normal';");
    menuMilkyway:addAction("&Bright Milky Way", "Milkyway.type='Bright';", "Milkyway.type=='Bright';");
    menuMilkyway:addAction("&Infrared Milky Way", "Milkyway.type='Infrared';", "Milkyway.type=='Infrared';");
  menuView:addSeparator();
  menuGrids = menuView:addMenu("G&rids");
    menuGrids:addAction("&Equatorial Grid", "Grids:toggleEquatorial();", "Grids.equatorial;");
    menuGrids:addAction("&Ecliptic", "Grids:toggleEcliptic();", "Grids.ecliptic;");
    menuGrids:addAction("&Galactic Coordinate", "Grids:toggleGalactic();", "Grids.galactic;");
    menuGrids:addAction("&Horizontal Coordinate", "Grids:toggleHorizontal();", "Grids.horizontal;");
  menuScales = menuView:addMenu("Scale &Lines");
    menuScales:addAction("Scale &Circles", "Grids:toggleCircleScales();", "Grids.circleScales;");
    menuScales:addAction("Scale &Squares", "Grids:toggleSquareScales();", "Grids.squareScales;");
  menuView:addSeparator();
  menuSpacecrafts = menuView:addMenu("&Trajectory of Spacecrafts");
    menuSpacecrafts:addAction("&Orbits", "Spacecrafts:toggleOrbits();", "Spacecrafts.orbits;");
  menuView:addSeparator();
  menuView:addAction("&Pointer on Planet", "Grids:toggleSurfacePointer();", "Grids.surfacePointer;");
  menuView:addAction("&View Info", "Camera:toggleViewInfo();", "Camera.viewInfo;");
  menuView:addSeparator();
  menuView:addAction("Reset View &Angle", "Camera.fov=45.0;");
  menuView:addSeparator();
  menuTextSize = menuView:addMenu("Te&xt Size");
    menuTextSize:addAction("Lar&gest", "System.fontScale=3.0;", "System.fontScale==3.0;");
    menuTextSize:addAction("&Larger", "System.fontScale=2.0;", "System.fontScale==2.0;");
    menuTextSize:addAction("&Middle", "System.fontScale=1.4;", "System.fontScale>1.3 and System.fontScale<1.5;");
    menuTextSize:addAction("&Smaller", "System.fontScale=1.0;", "System.fontScale==1.0;");
    menuTextSize:addAction("Sm&allest", "System.fontScale=0.6;", "System.fontScale==0.6;");
  menuView:addSeparator();
  menuView:addAction("&Full Screen Mode", "System:toggleFullScreen();", "System.fullScreen;"):setShortcut("Alt+Return");
menuTime = GUI:addMenu("&Time");
  actTimeSetting = menuTime:addAction("&Time Setting", "GUI:toggleTimeSetting();", "GUI.timeSetting;"):setIcon("icons/timesetting.png");
  menuTime:addSeparator();
  menuTime:addAction("&Display Date", "Time:toggleTimeInfo();", "Time.timeInfo;");
  menuTime:addSeparator();
  menuTime:addAction("10 sec (&0)", "Time.step=mtk.STEP_10SEC;", "Time.step==mtk.STEP_10SEC;");
  menuTime:addAction("1 min (&1)", "Time.step=mtk.STEP_MIN;", "Time.step==mtk.STEP_MIN;");
  menuTime:addAction("10 min (&2)", "Time.step=mtk.STEP_10MIN;", "Time.step==mtk.STEP_10MIN;");
  menuTime:addAction("1 hour (&3)", "Time.step=mtk.STEP_HOUR;", "Time.step==mtk.STEP_HOUR;");
  menuTime:addAction("1 day (&4)", "Time.step=mtk.STEP_DAY;", "Time.step==mtk.STEP_DAY;");
  menuTime:addAction("1 week (&5)", "Time.step=mtk.STEP_WEEK;", "Time.step==mtk.STEP_WEEK;");
  menuTime:addAction("1 month (&6)", "Time.step=mtk.STEP_MONTH;", "Time.step==mtk.STEP_MONTH;");
  menuTime:addAction("1 year (&7)", "Time.step=mtk.STEP_YEAR;", "Time.step==mtk.STEP_YEAR;");
  menuTime:addAction("10 years (&8)", "Time.step=mtk.STEP_10YEAR;", "Time.step==mtk.STEP_10YEAR;");
  menuTime:addAction("100 years (&9)", "Time.step=mtk.STEP_100YEAR;", "Time.step==mtk.STEP_100YEAR;");
  menuTime:addSeparator();
  menuTime:addAction("Forward Time(&[)", "Time.speed=Time.speed+1;"):setShortcut("[");
  menuTime:addAction("Stop Time(&@)", "Time.speed=0;"):setShortcut("@");
  menuTime:addAction("Rewind Time(&])", "Time.speed=Time.speed-1;"):setShortcut("]");
  menuTime:addSeparator();
  menuTime:addAction("&Realtime Mode", "Time:toggleRealtime();", "Time.realtime;");
menuSettings = GUI:addMenu("&Settings");
  menuSelection = menuSettings:addMenu("&Selection");
    menuSelection:addAction("&No mouse selection", "Targets.selectMode=mtk.SELECT_NONE;", "Targets.selectMode==mtk.SELECT_NONE;");
    menuSelection:addAction("Mouse &Over", "Targets.selectMode=mtk.SELECT_MOUSEOVER;", "Targets.selectMode==mtk.SELECT_MOUSEOVER;");
    menuSelection:addAction("Mouse &Click", "Targets.selectMode=mtk.SELECT_MOUSECLICK;", "Targets.selectMode==mtk.SELECT_MOUSECLICK;");
  menuQuality = menuSettings:addMenu("Visual &Quality");
    menuQuality:addAction("&Point Smoothing", "Renderer:togglePointSmooth();", "Renderer.pointSmooth;");
    menuQuality:addAction("&Line Smoothing", "Renderer:toggleLineSmooth();", "Renderer.lineSmooth;");
    menuQuality:addAction("&Text Smoothing", "Renderer:toggleTextSmooth();", "Renderer.textSmooth;");
  menuStereo = menuSettings:addMenu("&Stereoscopy");
    menuStereo:addAction("&None", "System.stereoType='None'", "System.stereoType=='None'");
    menuStereo:addAction("Anaglyph (&Mono)", "System.stereoType='Anaglyph'", "System.stereoType=='Anaglyph'");
    menuStereo:addAction("Anaglyph (&Color)", "System.stereoType='ColorAnaglyph'", "System.stereoType=='ColorAnaglyph'");
  menuGUIStyle = menuSettings:addMenu("&GUI Style");
    menuGUIStyle:addAction("&Default", "GUI.styleSheet='';", "GUI.styleSheet=='';");
    menuGUIStyle:addAction("&Black", "GUI.styleSheet='stylesheets/black.qss';", "GUI.styleSheet=='stylesheets/black.qss';");
  menuLanguage = menuSettings:addMenu("&Language");
    menuLanguage:addAction("&English", "System.language='English';", "System.language=='English';");
    menuLanguage:addAction("&Japanese", "System.language='Japanese';", "System.language=='Japanese';");
    menuLanguage:addAction("Japanese with &Kana Reading", "System.language='JapaneseKana';", "System.language=='JapaneseKana';");
menuHelp = GUI:addMenu("&Help");
  menuHelp:addAction("Mitaka Manual", "System:openDocument('mitaka_manual_J.pdf');");
  menuHelp:addAction("Script Manual", "System:openDocument('mitakaPlus_script_J.chm');");
  menuHelp:addSeparator();
  menuHelp:addAction("&About "..mtk.APPNAME.."...", "GUI:aboutDialog();");

toolBar = GUI:addToolBar("Basic");
  toolBar:setIconSize(16, 16);
  toolBar:addAction(actOpenState);
  toolBar:addAction(actSaveState);
  toolBar:addSeparator();
  toolBar:addAction(actStoreState);
  toolBar:addAction(actRestoreState);
  toolBar:addSeparator();
  toolBar:addAction(actTargetBrowser);
  toolBar:addAction(actTimeSetting);
  toolBar:addSeparator();
  toolBar:addAction(actUIBrowser);
  toolBar:addAction(actScriptEditor);
  toolBar:addAction(actScriptOutput);
  toolBar:addAction(actRunScript);
  toolBar:addSeparator();
  toolBar:addAction(actOptionSetting);
